#include <stdio.h>
#include <stdlib.h>
int main(){
    int n;
    int min, max;

    scanf("%d",&n);
    int *arr = malloc(sizeof(int)*n);
    
    for(int i=0; i<n; i++){
        scanf("%d",&arr[i]);
    }

    min = arr[0];
    max = min;

    for(int j=1; j<n; j++){
        if (arr[j]<min) min=arr[j];
        if (arr[j]>max) max=arr[j];
    }
    free(arr);
    printf("%d %d",min, max);

    return 0;
}